import React from 'react';
import Modularity from 'modularity-entry';

let Module = Modularity.Module;

 class DataService extends Modularity.Service{
 	constructor(props){
 		super(props)
 		this.loadData(this.url.value);
 		this.url.onUpdate((url) => this.loadData(url))
 	}


 	loadData(api){
 		fetch("http://localhost:3000/data")
 		.then((results) => this.Data.set(results))
 		//.then((json) => this.Data.set(json))
 	}

 	render(){
 		return(
 			<div className="ServiceInfo">
 				ID : {this.__renderID()}
 				DATA Service
 				<div>
 					<Modularity.ModuleUtilities.OutputLink output={this.Data}/>
 				</div>
 				{super.render()}
 			</div>
 			)
 	}

 }


DataService.Inputs = {
	url:{
		type:Module.Types.Text,
		defaultValue:'http://localhost:3000/data'
	}
}

DataService.Outputs = {
    Data:{

    }
}



DataService.Category = "dsadadw";

export default DataService;